/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/include/drivers/wintel32/core/time/wintel32timer.hpp

*/

#ifndef SGX_WINTEL32_TIMER_HPP
#define SGX_WINTEL32_TIMER_HPP	1

class CWintel32HighTimer : public CHighTimer {
public:
    static  CHighTimer     *get();
    static  CHighTimer     *create();

    CWintel32HighTimer();
    virtual ~CWintel32HighTimer();

    void                    start();
    tREAL32                 getTime();

private:
    LARGE_INTEGER           m_Frequency;
    tREAL64                 m_FrequencyTime;

    LARGE_INTEGER           m_Start;
};

#endif /* SGX_WINTEL32_TIMER_HPP */
